# Class TfamEntry

java.lang.Object
org.snpeff.ped.TfamEntry

All Implemented Interfaces:
  `Comparable<TfamEntry>`

Direct Known Subclasses:
  `PedEntry`

public class TfamEntry extends Object implements Comparable<TfamEntry>
An entry in a TFAM table. I.e. a line in a PLINK's TFAM file

Author:
  pcingola

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`PHENOTYPE_CASE`
From PLINK's manual: Affection status, by default, should be coded: -9 missing 0 missing 1 unaffected 2 affected
`static final int`
`PHENOTYPE_CONTROL`
`static final int`
`PHENOTYPE_MISSING`

## Constructor Summary

Constructors
Constructor
Description
`TfamEntry(String line)`
`TfamEntry(String familyId, String id, String fatherId, String motherId, Sex sex, double phenotype)`

## Method Summary

Modifier and Type
Method
Description
`int`
`compareTo(TfamEntry ind)`
`String`
`getFamilyId()`
`String`
`getFatherId()`
`String`
`getId()`
`String`
`getMotherId()`
`double`
`getPhenotype()`
`Sex`
`getSex()`
`boolean`
`isCase()`
Is phenotype 'Case'?
`boolean`
`isControl()`
Is phenotype 'Control'?
`boolean`
`isMissing()`
Is phenotype 'Missing'?
`protected void`
`parse(String line)`
Parse a line form a TFAM file
`protected int`
`parse(String[] fields)`
Parse fields form a line
`String`
`toString()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### PHENOTYPE_CASE

public static final int PHENOTYPE_CASE
From PLINK's manual: Affection status, by default, should be coded: -9 missing 0 missing 1 unaffected 2 affected

See Also:
  - Constant Field Values

### PHENOTYPE_CONTROL

public static final int PHENOTYPE_CONTROL

See Also:
  - Constant Field Values

### PHENOTYPE_MISSING

public static final int PHENOTYPE_MISSING

See Also:
  - Constant Field Values

## Constructor Details

### TfamEntry

public TfamEntry(String line)

### TfamEntry

public TfamEntry(String familyId, String id, String fatherId, String motherId, Sex sex, double phenotype)

## Method Details

### compareTo

public int compareTo(TfamEntry ind)

Specified by:
  `compareTo` in interface `Comparable<TfamEntry>`

### getFamilyId

public String getFamilyId()

### getFatherId

public String getFatherId()

### getId

public String getId()

### getMotherId

public String getMotherId()

### getPhenotype

public double getPhenotype()

### getSex

public Sex getSex()

### isCase

public boolean isCase()
Is phenotype 'Case'?

Returns:

### isControl

public boolean isControl()
Is phenotype 'Control'?

Returns:

### isMissing

public boolean isMissing()
Is phenotype 'Missing'?

Returns:

### parse

protected void parse(String line)
Parse a line form a TFAM file

Parameters:
  `line` -

### parse

protected int parse(String[] fields)
Parse fields form a line

Parameters:
  `fields` -

### toString

public String toString()

Overrides:
  `toString` in class `Object`